<?php
    require_once "./pdocontroller.php";




    if (isset($_REQUEST['proyecto'])){$proyecto=$_REQUEST['proyecto'];}else{$proyecto="";}
	if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
	if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
    if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
    if (isset($_REQUEST['campo'])){$campo=$_REQUEST['campo'];}else{$campo="";}
    if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
    if (isset($_REQUEST['valor'])){$valor=$_REQUEST['valor'];}else{$valor="";}
    $DBclase="PDOCONTROLLER";
    $DBconex=new $DBclase;
    $syseli="Eliminado";
    $chkinterno=0;
    $tabla="";
    $query="select chkint,listasql,tabla,tabqts,sqlinit,sqledit,sqllost,tabadi,datadi,proyecto,sqlres,sqlqst,chkint,sqltmp,sqlele,chkele,sqlsearch from modcmp where nommod= :modulo ";
    $parametros=array(":modulo"=>$modulo);
	try{
        $datos=$DBconex->executeconsulta($query,$parametros);
        foreach($datos as $qdatos){
            $query=$qdatos["sqllost"];
            $tabla=$qdatos["tabla"];
            $chkinterno=$qdatos["chkint"];
            $tablatmp=$qdatos["sqltmp"];
        }
    }catch(Exception $ex){
         echo $ex->getMessage();
    }
   
    //echo $chkinterno;
   
    if($codemp!='' && $modulo!='modulo' && $rol!='empleado' && $codemp!='DND' && $chkinterno!=1){
        $DBclase="PDO".$codemp;
    }else{
        $DBclase="PDOCONTROLLER";
    }
    
    //if($accion!='i'){}
    $parametros=[];
    $DBconex=new $DBclase;
    /*if($campo!==''){
        $query=$query." and ".$tabla.".".$campo."= :campo ";
        $parametros=array(":campo"=>$valor);
    }*/
  
    // ------------------------------
// APLICAR CONDICIÓN DINÁMICA SI HAY CAMPO
// ------------------------------
if (!empty($campo)) {
    // Verifica si el query ya está usando "a." como alias
    $aliasTabla = (stripos($query, 'a.') !== false) ? 'a.' : $tabla . '.';

    $query .= " AND " . $aliasTabla . $campo . " = :campo";
    $parametros = array(":campo" => $valor);
}


    //echo $DBclase;
    //echo $query;
    //return;
    
    //print_r($parametros);
    try{
       $datos=$DBconex->executeconsulta($query,$parametros);
       header("Content-Type: application/json");
       echo json_encode($datos);
       return;
       if(is_integer($datos)){
            echo "ocurrio un error";
        }else{
            if(isset($datos) && !empty($datos) && sizeof($datos)>0){
                foreach($datos as $qdatos){
                    echo $qdatos["titmod"].$qdatos["nombre"]."<br>";
                }
            }
        }
    }catch(Exception $ex){
        echo $ex->getMessage();
    }
    echo "final";     

?>